//============================================================================
// control/client/initialize.cs
//
//  client control initialization module for 3D2E emaga6 sample game
//
//  Copyright (c) 2003 by Kenneth C.  Finney.
//============================================================================

function InitializeClient()
//----------------------------------------------------------------------------
// Prepare some global client information, fire up the graphics engine,
// and then connect to the server code that is already running in another
// thread.
//----------------------------------------------------------------------------
{
	  $Client::GameTypeQuery = "3D2E";///***KCF***-21-SEP-2006 
  $Client::MissionTypeQuery = "Any";///***KCF***-21-SEP-2006 

   Echo("\n++++++++++++ Initializing module: emaga6 client ++++++++++++");

   InitBaseClient(); // basic client features defined in the common modules

   // Make sure a canvas has been built before any interface definitions are
   // loaded because most controls depend on the canvas to already exist when
   // they are loaded.

   InitCanvas("Emaga6 - 3D2E Sample Game");///***KCF***-21-SEP-2006 

   // Interface definitions
   Exec("./profiles.cs");
   Exec("./default_profile.cs");
   Exec("./interfaces/splashscreen.gui");
   Exec("./interfaces/MenuScreen.gui");
   Exec("./interfaces/loadscreen.gui");
   Exec("./interfaces/playerinterface.gui");
      Exec("./interfaces/serverscreen.gui");    ///***KCF***-21-SEP-2006 testing ch6

   // Interface scripts
   Exec("./misc/Screens.cs");
   Exec("./misc/presetkeys.cs");
   Exec("./client.cs");
      Exec("./misc/serverscreen.cs");///***KCF***-21-SEP-2006 

   // these modules rely on things defined in the common code
   // that are activated in the InitBaseClient() function above
   // so must be located after it has been called
   Exec("./misc/transfer.cs");
   Exec("./misc/connection.cs");
   SetNetPort(0);
   Canvas.setContent(SplashScreen);
}
